#ifndef STANDACT_H
#define STANDACT_H

/**
 * @brief Computes the sigmoid activation function.
 */
float Sigmoid(float x);

/**
 * @brief Computes the hyperbolic tangent activation function.
 */
float HyperTang(float x);

/**
 * @brief Computes the Gaussian activation function.
 */
float Gaussian(float x);

/**
 * @brief Computes the identity activation function.
 */
float Identity(float x);

/**
 * @brief Computes the cubic power activation function.
 */
float Power3(float x);

/**
 * @brief Computes the quartic power activation function.
 */
float Power4(float x);

/**
 * @brief Computes the quintic power activation function.
 */
float Power5(float x);

#endif // STANDACT_H
